/*
 * pppRefSat.h
 *
 *  Created on: Feb 27, 2020
 *      Author: stuerze
 */

#ifndef PPPREFSAT_H_
#define PPPREFSAT_H_

#include "t_prn.h"

namespace BNC_PPP {

class t_pppRefSat {
public:
  t_pppRefSat() {
    _prn = t_prn();
    _stecValue = 0.0;
  };
  t_pppRefSat(t_prn prn, double stecValue) {
    _prn = prn;
    _stecValue = stecValue;
  }
  ~t_pppRefSat() {};
  t_prn    prn() {return _prn;}
  void     setPrn(t_prn prn) {_prn = prn;}
  double   stecValue() {return _stecValue;}
  void     setStecValue(double stecValue) {_stecValue = stecValue;}
private:
  t_prn    _prn;
  double   _stecValue;
};
}


#endif /* PPPREFSAT_H_ */
